Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetServDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<InetServ>
ru.bitel.common.dao.AbstractIdDao<InetServ>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<InetServ>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<InetServ>
ru.bitel.bgbilling.modules.inet.server.bean.InetServDao

All Implemented Interfaces:
  `AutoCloseable`

public class InetServDao extends AbstractEntityDao<InetServ>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entitySpecDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteForContract(int contractId)`
  `InetServ`
  `get(String login)`
  Deprecated.
  `InetServ`
  `get(Date time, String login)`
  Deprecated.
  `protected InetServ`
  `getById(int id)`
  `protected InetServ`
  `getFromRS(ResultSet rs)`
  `protected InetServ`
  `getFromRS(ResultSet rs, boolean loadAttributes)`
  `protected InetServ`
  `getFromRSImpl(ResultSet rs)`
  `protected InetServ`
  `getImpl(int id)`
  `InetServ`
  `getInetServFromRS(ResultSet rs, boolean contractLoad, boolean typeAndDeviceLoad)`
  `InetServ`
  `getInetServFromRS(ResultSet rs, boolean contractLoad, boolean typeAndDeviceLoad, boolean entityAttributesLoad)`
  `int`
  `lastNumericLogin(int max)`
  Возвращает последний (наибольший) цифровой логин
  `List<InetServ>`
  `list(int contractId)`
  Получение списка сервисов договора.
  `List<InetServ>`
  `list(int contractId, String orderBy)`
  Получение списка сервисов договора с возможностью задания сортировки.
  `List<InetServ>`
  `list(int deviceState, Date dateFrom, Date dateTo)`
  Выбор всех сервисов указанного deviceState с периодом, пересекающимся с указанным.
  `List<InetServ>`
  `list(String login, Date dateFrom, Date dateTo)`
  `List<InetServ>`
  `list(Set<Integer> servIds)`
  `List<InetServ>`
  `list(Set<Integer> deviceIds, Date dateFrom, Date dateTo, Set<Integer> contractIds)`
  Список сервисов для заданных устройств , пересекающих заданные даты и принадлежащие заданным договорам ( если contractIds null или пустое, то для всех договоров)
  `List<InetServ>`
  `listByWrongIpResourceIds(Date date, Page page)`
  `List<InetServ>`
  `listChildren(int parentId)`
  `List<InetServ>`
  `listDevice(int deviceId)`
  Получить список серв. по заданному id устройства
  `List<InetServ>`
  `listRuntime(int deviceId, Set<Integer> servIds, Set<Integer> contractIds)`
  Получение списка сервисов для runtime.
  `List<InetServ>`
  `listToCancel(Date now)`
  `List<InetServ>`
  `listToCreate(Date now)`
  `List<InetServ>`
  `searchInetServ(InetServSearchParam searchParam, Page page)`
  `InetServ`
  `tree(int contractId)`
  `void`
  `updateDeviceStateAndOptions(int inetServId, short state, Set<Integer> inetOptions, int accessCode)`
  `void`
  `updateIdentifier(int inetServId, List<String> identifierList)`
  `protected void`
  `updateImpl(InetServ inetServ)`
  `void`
  `updateIpResource(int inetServId, int ipResource, int ipResourceSubscriptionId)`
  Только для IPv4
  `void`
  `updateMacAddress(int inetServId, byte[] macAddress)`
  Обновление MAC-адреса сервиса

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `delete, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetServDao

    public InetServDao(Connection con, int moduleId)

- ## Method Details

  - ### getInetServFromRS

    public InetServ getInetServFromRS(ResultSet rs, boolean contractLoad, boolean typeAndDeviceLoad) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getInetServFromRS

    public InetServ getInetServFromRS(ResultSet rs, boolean contractLoad, boolean typeAndDeviceLoad, boolean entityAttributesLoad) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getById

    protected InetServ getById(int id) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `getById` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateImpl

    protected void updateImpl(InetServ inetServ) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<InetServ> list(Set<Integer> servIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listRuntime

    public List<InetServ> listRuntime(int deviceId, Set<Integer> servIds, Set<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Получение списка сервисов для runtime. Отсортированы по parentId.
    Parameters:
      `deviceId` -
      `servIds` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<InetServ> list(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение списка сервисов договора.
    Parameters:
      `contractId` - код договора.
    Returns:
      список сервисов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<InetServ> list(int contractId, String orderBy) throws ru.bitel.bgbilling.common.BGException
    Получение списка сервисов договора с возможностью задания сортировки.
    Parameters:
      `contractId` - код договора
      `orderBy` - выражение, подтавляемое после order by
    Returns:
      список сервисов договора.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tree

    public InetServ tree(int contractId) throws Exception
    Throws:
      `Exception`

  - ### list

    public List<InetServ> list(String login, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<InetServ> list(Set<Integer> deviceIds, Date dateFrom, Date dateTo, Set<Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Список сервисов для заданных устройств , пересекающих заданные даты и принадлежащие заданным договорам ( если contractIds null или пустое, то для всех договоров)
    Parameters:
      `deviceIds` -
      `dateFrom` -
      `dateTo` -
      `contractIds` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    @Deprecated public InetServ get(Date time, String login) throws SQLException, ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    @Deprecated public InetServ get(String login) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDeviceStateAndOptions

    public void updateDeviceStateAndOptions(int inetServId, short state, Set<Integer> inetOptions, int accessCode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateIpResource

    public void updateIpResource(int inetServId, int ipResource, int ipResourceSubscriptionId) throws ru.bitel.bgbilling.common.BGException
    Только для IPv4
    Parameters:
      `inetServId` -
      `ipResource` -
      `ipResourceSubscriptionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### lastNumericLogin

    public int lastNumericLogin(int max) throws ru.bitel.bgbilling.common.BGException
    Возвращает последний (наибольший) цифровой логин
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<InetServ> list(int deviceState, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Выбор всех сервисов указанного deviceState с периодом, пересекающимся с указанным.
    Parameters:
      `deviceState` -
      `dateFrom` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listToCreate

    public List<InetServ> listToCreate(Date now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listToCancel

    public List<InetServ> listToCancel(Date now) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForContract

    public void deleteForContract(int contractId) throws Exception
    Throws:
      `Exception`

  - ### searchInetServ

    public List<InetServ> searchInetServ(InetServSearchParam searchParam, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listDevice

    public List<InetServ> listDevice(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Получить список серв. по заданному id устройства
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listChildren

    public List<InetServ> listChildren(int parentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateMacAddress

    public void updateMacAddress(int inetServId, byte[] macAddress) throws SQLException
    Обновление MAC-адреса сервиса
    Parameters:
      `inetServId` -
      `macAddress` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateIdentifier

    public void updateIdentifier(int inetServId, List<String> identifierList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listByWrongIpResourceIds

    public List<InetServ> listByWrongIpResourceIds(Date date, Page page) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected InetServ getFromRS(ResultSet rs, boolean loadAttributes) throws SQLException, ru.bitel.bgbilling.common.BGException
    Overrides:
      `getFromRS` in class `AbstractEntityDao<InetServ>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRSImpl

    protected InetServ getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<InetServ>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected InetServ getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Overrides:
      `getFromRS` in class `AbstractEntityDao<InetServ>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getImpl

    protected InetServ getImpl(int id) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `getImpl` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`